//==============================================================================
//
//   ViewNewAction.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ViewNewAction.java,v 1.3 2003/09/12 13:29:42 klukas Exp $

package org.graffiti.editor.actions;

import java.awt.event.ActionEvent;

import org.graffiti.core.StringBundle;

import org.graffiti.editor.MainFrame;

import org.graffiti.help.HelpContext;

import org.graffiti.plugin.actions.GraffitiAction;

/**
 * The action for creating a new view.
 */
public class ViewNewAction
    extends GraffitiAction
{
    //~ Instance fields ========================================================

    /** DOCUMENT ME! */
    private StringBundle sBundle;

    //~ Constructors ===========================================================

    /**
     * Creates a new ViewNewAction object.
     *
     * @param mainFrame DOCUMENT ME!
     * @param sBundle DOCUMENT ME!
     */
    public ViewNewAction(MainFrame mainFrame, StringBundle sBundle)
    {
        super("file.newView", mainFrame);
        this.sBundle = sBundle;
    }

    //~ Methods ================================================================

    /**
     * @see javax.swing.Action#isEnabled()
     */
    public boolean isEnabled()
    {
        return mainFrame.isSessionActive();
    }

    /**
     * @see org.graffiti.plugin.actions.GraffitiAction#getHelpContext()
     */
    public HelpContext getHelpContext()
    {
        return null;
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void actionPerformed(ActionEvent e)
    {
        if(mainFrame.isSessionActive())
        {
            String dv = mainFrame.getDefaultView();

            if(dv != null)
            {
                mainFrame.createInternalFrame(dv, "", false);
            }
            else
            {
                mainFrame.showViewChooserDialog(false);
            }
        }
        else
        {
            //			mainFrame.showError(sBundle.getString("menu.view.new.error"));
            // TODO
        }
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
