//==============================================================================
//
//   ShortcutsOptionPane.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ShortcutsOptionPane.java,v 1.3 2003/11/03 12:15:55 forster Exp $

package org.graffiti.editor.options;

import java.util.List;

import javax.swing.JComboBox;
import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;

import org.graffiti.options.AbstractOptionPane;

/**
 * An option pane for shortcuts.
 *
 * @author flierl
 * @version $Revision: 1.3 $
 */
public class ShortcutsOptionPane
    extends AbstractOptionPane
{
    //~ Instance fields ========================================================

    /** The combobox for the short cut selection. */
    private JComboBox selectModel;

    /** The key table. */
    private JTable keyTable;

    /**
     * The shortcuts models.
     *
     * @see ShortcutsModel
     */
    private List models;

    /** The current shortcuts model. */
    private ShortcutsModel currentModel;

    //~ Constructors ===========================================================

    /**
     * Constructor for ShortcutsOptionPane.
     */
    public ShortcutsOptionPane()
    {
        super("shortcuts");
    }

    //~ Methods ================================================================

    /*
     * @see org.graffiti.options.AbstractOptionPane#initDefault()
     */
    protected void initDefault()
    {
        // TODO
    }

    /*
     * @see org.graffiti.options.AbstractOptionPane#saveDefault()
     */
    protected void saveDefault()
    {
        // TODO
    }

    /**
     * Initializes the list of shortcuts models.
     */
    private void initShortcutsModels()
    {
        // TODO
    }

    //~ Inner Classes ==========================================================

    /**
     * The table of shortcuts.
     */
    protected class ShortcutsModel
        extends AbstractTableModel
    {
        /** Contains a list of key bindings. */
        private List bindings;

        /** The name of the shortcuts model. */
        private String name;

        /**
         * Constructs a new shortcuts model.
         *
         * @param name the name of the model.
         * @param bindings list of keybindings.
         */
        ShortcutsModel(String name, List bindings)
        {
            // TODO
        }

        /**
         * Return the number of columns for this table (3).
         *
         * @return DOCUMENT ME!
         */
        public int getColumnCount()
        {
            return 3;
        }

        /**
         * Returns the number of rows of this table.
         *
         * @return the number of rows of this table.
         */
        public int getRowCount()
        {
            return bindings.size();
        }

        /**
         * DOCUMENT ME!
         *
         * @param row DOCUMENT ME!
         * @param col DOCUMENT ME!
         *
         * @return DOCUMENT ME!
         */
        public Object getValueAt(int row, int col)
        {
            return null; // TODO
        }
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
