//==============================================================================
//
//   SelectionAction.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: SelectionAction.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

package org.graffiti.plugin.actions;

import java.util.List;

import org.graffiti.editor.MainFrame;

/**
 * Represents an action, which depends on a selection.
 *
 * @version $Revision: 1.2 $
 */
public abstract class SelectionAction
    extends GraffitiAction
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new selection action with the given name.
     *
     * @param name DOCUMENT ME!
     * @param mainFrame DOCUMENT ME!
     */
    public SelectionAction(String name, MainFrame mainFrame)
    {
        super(name, mainFrame);
    }

    //~ Methods ================================================================

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public boolean isEnabled()
    {
        return false; // TODO
    }

    /**
     * Returns the current list of selected items of this action.
     *
     * @return the current list of selected items of this action.
     */
    public List getSelectedItems()
    {
        return null; // TODO
    }

    /**
     * Returns <code>true</code>, if this action should survive a focus change.
     *
     * @return <code>true</code>, if this action should survive a focus change.
     */
    public boolean surviveFocusChange()
    {
        return false;
    }

    /**
     * Sets the internal <code>enable</code> flag, which depends on the given
     * list of selected items.
     *
     * @param items the items, which determine the internal state of the
     *        <code>enable</code> flag.
     */
    protected abstract void enable(List items);
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
