//==============================================================================
//
//   GraffitiToggleButton.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraffitiToggleButton.java,v 1.3 2003/11/10 17:27:12 forster Exp $

package org.graffiti.plugin.gui;

import javax.swing.Icon;
import javax.swing.JToggleButton;

import org.graffiti.editor.MainFrame;

/**
 * Abstract class for all ToggleButtons that should be used as
 * <code>GraffitiComponents</code>. Provides an implementation for the
 * <code>getPreferredComponent()</code> method.
 *
 * @version $Revision: 1.3 $
 */
public abstract class GraffitiToggleButton
    extends JToggleButton
    implements GraffitiComponent
{
    //~ Instance fields ========================================================

    /** The preferred component of this button. */
    protected String preferredComponent;

    //~ Constructors ===========================================================

    /**
     * Creates a new GraffitiToggleButton object.
     */
    public GraffitiToggleButton()
    {
    }

    /**
     * Creates a new GraffitiToggleButton object.
     *
     * @param preferredComp DOCUMENT ME!
     */
    public GraffitiToggleButton(String preferredComp)
    {
        preferredComponent = preferredComp;
    }

    /**
     * Creates a new GraffitiToggleButton object.
     *
     * @param preferredComp DOCUMENT ME!
     * @param text DOCUMENT ME!
     */
    public GraffitiToggleButton(String preferredComp, String text)
    {
        super(text);
    }

    /**
     * Creates a new GraffitiToggleButton object.
     *
     * @param preferredComp DOCUMENT ME!
     * @param i DOCUMENT ME!
     */
    public GraffitiToggleButton(String preferredComp, Icon i)
    {
        super(i);
        preferredComponent = preferredComp;
    }

    //~ Methods ================================================================

    /**
     * @see org.graffiti.plugin.gui.GraffitiComponent#setMainFrame(org.graffiti.editor.MainFrame)
     */
    public void setMainFrame(MainFrame mf)
    {
    }

    /**
     * Returns the id of the component the button prefers to be inserted in.
     *
     * @return the id of the component the button prefers to be inserted in.
     */
    public String getPreferredComponent()
    {
        return this.preferredComponent;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
