//==============================================================================
//
//   AbstractOutputSerializer.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: AbstractOutputSerializer.java,v 1.2 2003/08/02 09:19:28 holleis Exp $

package org.graffiti.plugin.io;

import java.io.FileOutputStream;
import java.io.IOException;

import org.graffiti.graph.Graph;

/**
 * Provides additional methods to write a graph object.
 *
 * @version $Revision: 1.2 $
 */
public abstract class AbstractOutputSerializer
    implements OutputSerializer
{
    //~ Methods ================================================================

    /**
     * Writes the contents of the given graph to a file.
     *
     * @param g The graph to save.
     * @param filename The name of the file to save the graph to.
     *
     * @exception IOException If an IO error occurs.
     */
    public void write(Graph g, String filename)
        throws IOException
    {
        write(new FileOutputStream(filename), g);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
