//==============================================================================
//
//   ObjectParameter.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ObjectParameter.java,v 1.1 2003/08/02 09:19:28 holleis Exp $

package org.graffiti.plugin.parameter;

/**
 * Parameter that contains an <code>Integer</code> value.
 *
 * @version $Revision: 1.1 $
 */
public class ObjectParameter
    extends AbstractSingleParameter
{
    //~ Instance fields ========================================================

    /** DOCUMENT ME! */
    private Object object;

    //~ Constructors ===========================================================

    /**
     * Constructs a new integer parameter.
     *
     * @param value DOCUMENT ME!
     * @param name DOCUMENT ME!
     * @param description DOCUMENT ME!
     */
    public ObjectParameter(Object value, String name, String description)
    {
        super(name, description);

        this.object = value;
    }

    /**
     * Constructs a new integer parameter.
     *
     * @param name DOCUMENT ME!
     * @param description DOCUMENT ME!
     */
    public ObjectParameter(String name, String description)
    {
        super(name, description);
    }

    //~ Methods ================================================================

    /**
     * @see org.graffiti.plugin.Displayable#setValue(java.lang.Object)
     */
    public void setValue(Object val)
        throws IllegalArgumentException
    {
        object = val;
    }

    /* (non-Javadoc)
     * @see org.graffiti.plugin.Displayable#getValue()
     */
    public Object getValue()
    {
        return object;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
